services:
  translatable_menu_link_uri.link_processor:
    class: Drupal\translatable_menu_link_uri\LinkIterator
    arguments: [
      '@logger.channel.translatable_menu_link_uri',
      '@entity.repository',
      '@module_handler',
      '@token',
    ]

  logger.channel.translatable_menu_link_uri:
    parent: logger.channel_base
    arguments: ['translatable_menu_link_uri']
